SitePoint Sponsor

User Tag List

Results 1 to 2 of 2

Hybrid View

  1. #1
    SitePoint Member
    Join Date
    Sep 2013
    Posts
    9
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Got Sinatra Book, problem on the first step

    I installed ruby using rvm on Ubuntu. Check both rvm current and ruby -v to make sure 2.0.0 was being used.

    Here is the error:
    Code:
    mikeb@ubuntu:~/projects/sinatra$ ruby hello.rb
    /home/mikeb/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:51:in `require': cannot load such file -- sinatra (LoadError)
    	from /home/mikeb/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:51:in `require'
    	from hello.rb:1:in `<main>'

  2. #2
    SitePoint Member daz4126's Avatar
    Join Date
    Jan 2013
    Location
    Manchester
    Posts
    8
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by actionman View Post
    I installed ruby using rvm on Ubuntu. Check both rvm current and ruby -v to make sure 2.0.0 was being used.

    Here is the error:
    Code:
    mikeb@ubuntu:~/projects/sinatra$ ruby hello.rb
    /home/mikeb/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:51:in `require': cannot load such file -- sinatra (LoadError)
    	from /home/mikeb/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:51:in `require'
    	from hello.rb:1:in `<main>'
    Hi action man,

    Looks like you haven't installed Sinatra. Try:

    Code:
    gem install sinatra.
    Hope that helps,

    DAZ


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •